Bug 995845 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 00000040 [NEEDINFO]
[abrt] BUG: unable to handle kernel NULL pointer dereference at 00000040
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:52b04863894c5f352098985b7ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 09:54 EDT by spotsey
Modified: 2014-06-23 10:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (60.52 KB, text/plain)
2013-08-11 09:54 EDT, spotsey
no flags Details

  None (edit)
Description spotsey 2013-08-11 09:54:41 EDT
Description of problem:
It happened during start-up.

Additional info:
reporter:       libreport-2.1.6
BUG: unable to handle kernel NULL pointer dereference at 00000040
IP: [<f8ce8563>] usb_wwan_write+0xf3/0x2b0 [usb_wwan]
*pde = 00000000 
Oops: 0000 [#1] SMP 
Modules linked in: qmi_wwan cdc_wdm usbnet option usb_wwan fuse bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_realtek arc4 uvcvideo rtl8192ce snd_hda_intel snd_hda_codec snd_hwdep snd_seq videobuf2_vmalloc rtlwifi iTCO_wdt iTCO_vendor_support snd_seq_device snd_pcm videobuf2_memops gpio_ich dell_laptop acpi_cpufreq rtl8192c_common videobuf2_core snd_page_alloc videodev mac80211 mperf dcdbas snd_timer media i2c_i801 snd coretemp cfg80211 of_i2c soundcore r8169 lpc_ich ums_realtek microcode rfkill mii binfmt_misc uinput dm_crypt i915 i2c_algo_bit drm_kms_helper drm i2c_core video usb_storage
CPU: 0 PID: 1110 Comm: modem-manager Not tainted 3.10.4-300.fc19.i686 #1
Hardware name: Dell Inc. Inspiron 1018/0GHG2G, BIOS A02 11/12/2010
task: e9bf9630 ti: f286e000 task.ti: f286e000
EIP: 0060:[<f8ce8563>] EFLAGS: 00010283 CPU: 0
EIP is at usb_wwan_write+0xf3/0x2b0 [usb_wwan]
EAX: 00000001 EBX: e799a3c0 ECX: 00000001 EDX: e7b4dc00
ESI: 00000000 EDI: 00000000 EBP: f286feac ESP: f286fe60
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 8005003b CR2: 00000040 CR3: 32b80000 CR4: 000007d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
Stack:
 00000001 f286fef8 c07d19cd 00000286 f286fe98 f5b72e00 e7ba3588 e799a3c0
 e799a408 f5b72e00 e7ba3400 e7b4dc00 e799a400 e7a612c0 00000001 00000001
 f69f4800 f8da8000 e7b4dc00 f286fee0 c07ee22f 00000001 f286fed0 000fd000
Call Trace:
 [<c07d19cd>] ? ehci_irq+0x27d/0x3d0
 [<c07ee22f>] serial_write+0x3f/0xc0
 [<c045d860>] ? add_wait_queue+0x30/0x40
 [<c0708c1f>] n_tty_write+0x2ef/0x400
 [<c070ca37>] ? tty_ldisc_try+0x37/0x50
 [<c046b9d0>] ? wake_up_state+0x20/0x20
 [<c0708930>] ? process_echoes+0x2d0/0x2d0
 [<c070614b>] tty_write+0xfb/0x210
 [<c0708930>] ? process_echoes+0x2d0/0x2d0
 [<c0706050>] ? tty_write_lock+0x50/0x50
 [<c0541e3d>] vfs_write+0x9d/0x1b0
 [<c0542489>] SyS_write+0x49/0x90
 [<c097dc8d>] sysenter_do_call+0x12/0x28
Code: e8 b3 75 ad c7 85 c0 0f 88 8b 00 00 00 8b 4c 24 3c b8 00 10 00 00 81 f9 00 10 00 00 0f 4e c1 89 c2 89 d1 8b 54 24 2c 89 44 24 38 <8b> 46 40 e8 45 b6 98 c7 8b 44 24 38 89 46 54 8b 44 24 34 e8 f5
EIP: [<f8ce8563>] usb_wwan_write+0xf3/0x2b0 [usb_wwan] SS:ESP 0068:f286fe60
CR2: 0000000000000040
Comment 1 spotsey 2013-08-11 09:54:49 EDT
Created attachment 785403 [details]
File: dmesg
Comment 2 Justin M. Forbes 2014-01-03 17:10:47 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 3 peter_flass 2014-01-14 20:31:03 EST
I'm experiencing this, or at least the null pointer dereference @40 with Fedora 20.  This is on an HP Pavilion laptop 15-n028us.  I installed F20 and rebooted successfully several times.  Then I hit this bug and the system refused to boot.  I reinstalled and ran for a while, but the first reboot hung up.  Unfortunately I can't get the log.
Comment 4 peter_flass 2014-01-15 10:32:23 EST
(In reply to peter_flass from comment #3)
> I'm experiencing this, or at least the null pointer dereference @40 with
> Fedora 20.  This is on an HP Pavilion laptop 15-n028us.  I installed F20 and
> rebooted successfully several times.  Then I hit this bug and the system
> refused to boot.  I reinstalled and ran for a while, but the first reboot
> hung up.  Unfortunately I can't get the log.

Interestingly, Fedora 19 seems to work OK.  So far I've rebooted several times with no issues.
Comment 5 Justin M. Forbes 2014-03-10 10:49:44 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2014-06-23 10:40:40 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.